Create Alert

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/alert
API call form
Examples

Create an alert, that will be triggered if the given query returns a non-empty result set and will send an e-mail or text message, call a webhook or show a Slack message.

Scheduled alerts are in the context of the creating user, taking into account any (parameter) filters set. In case of Embed (or SSO) tokens, the alert is performed by the most recently created token for this user. This means that if the user permissions of the user evolve over time, any scheduled alerts will automatically adapt. If you want to make sure a scheduled alert always keep using the original parameter override value, however, you can mark the parameter value as sticky by setting the sticky: true flag on the parameter override of the Authorization. See Authorization Create .

Request parametersResponse schema
id UUID

The unique identifier of the entity

name Multilingual string

Internationalized title of the alert.

query OBJECT

The query to execute. Please see "Service/Data/Get data" section

chart_id UUID

The chart id to use for the alert.

securable_id UUID

The dashboard id linked to this alert. Include the Securable association to retrieve the full dashboard details.

frequency OBJECT

Defines the frequency at which the condition is checked. Consists of a JSON object containing 2 properties: 'unit' (second, minute, hour, day, week, month, quarter, year) and 'quantity'.

unit STRING
quantity NUMBER
schedule_id STRING

ID of the schedule that executes this alert. Include the Schedule association to retrieve the full schedule details, including timezone.

user_id STRING

ID of the user that owns this alert.

created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

Can be executed by:
Logged-in User
Can be associated to:
Schedule
User
Securable
Channels
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "0218f31b-0296-4cce-b2a4-384f27d2526a",
  "name": {
    "en": "My alert"
  },
  "query": {
    "measures": [
      {
        "dataset_id": "74379a5b-4979-49b0-9fda-7b72ca5c1c77",
        "column_id": "8aaa54b3-b605-4f2b-a93f-6d6c7d017366",
        "aggregation": {
          "type": "sum"
        }
      }
    ],
    "dimensions": [
      {
        "column_id": "7d4a54b3-a805-4f2b-a93f-6d6c7d017305",
        "dataset_id": "74379a5b-4979-49b0-9fda-7b72ca5c1c77"
      }
    ],
    "where": [
      {
        "expression": "? in ?",
        "parameters": [
          {
            "dataset_id": "74379a5b-4979-49b0-9fda-7b72ca5c1c77",
            "column_id": "7d4a54b3-a805-4f2b-a93f-6d6c7d017305"
          },
          [
            "Quesarito",
            "Chicken baconito"
          ]
        ]
      }
    ],
    "having": [
      {
        "expression": "? > ?",
        "parameters": [
          {
            "dataset_id": "74379a5b-4979-49b0-9fda-7b72ca5c1c77",
            "column_id": "8aaa54b3-b605-4f2b-a93f-6d6c7d017366",
            "aggregation": {
              "type": "sum"
            }
          },
          10000
        ]
      }
    ],
    "context": {},
    "options": {
      "timezone_id": "Europe/Brussels"
    }
  },
  "chart_id": null,
  "created_at": "2024-02-09T15:20:52.350Z",
  "updated_at": "2024-02-09T15:20:52.360Z",
  "user_id": "444e2d0c-8dfb-45c1-bb97-52cb9264671f",
  "schedule_id": "845ce6b8-6371-4f80-b471-74a0ba163db6",
  "securable_id": "74379a5b-4979-49b0-9fda-7b72ca5c1c77",
  "frequency": {
    "unit": "day",
    "quantity": 1
  }
}